Go to the latest version of this document.

# ``twisted`.`conch`.`ssh`.`forwarding``

module documentation
(source)

This module contains the implementation of the TCP forwarding, which allows clients and servers to forward arbitrary TCP data across the connection.

Maintainer: Paul Swartz

Class | `SSHConnectForwardingChannel` | Channel used for handling server side forwarding request. It acts as a client for the remote forwarding destination.
Class | `SSHForwardingClient` | Undocumented
Class | `SSHListenClientForwardingChannel` | Undocumented
Class | `SSHListenForwardingChannel` | Undocumented
Class | `SSHListenForwardingFactory` | Undocumented
Class | `SSHListenServerForwardingChannel` | Undocumented
Function | `openConnectForwardingClient` | Undocumented
Function | `packGlobal_tcpip_forward` | Pack the data for tcpip forwarding.
Function | `packOpen_direct_tcpip` | Pack the data suitable for sending in a CHANNEL_OPEN packet.
Function | `unpackGlobal_tcpip_forward` | Undocumented
Function | `unpackOpen_direct_tcpip` | Unpack the data to a usable format.

def openConnectForwardingClient(remoteWindow, remoteMaxPacket, data, avatar): (source)

Undocumented

def packGlobal_tcpip_forward(peer): (source)

Pack the data for tcpip forwarding.

Parameters
peer:`tuple` | A tuple of the (host, port) .

def packOpen_direct_tcpip(destination, source): (source)

Pack the data suitable for sending in a CHANNEL_OPEN packet.

Parameters
destination:`tuple` | A tuple of the (host, port) of the destination host.
source:`tuple` | A tuple of the (host, port) of the source host.

def unpackGlobal_tcpip_forward(data): (source)

Undocumented

def unpackOpen_direct_tcpip(data): (source)

Unpack the data to a usable format.